Bug 740782 - Review Request: drupal7-job_scheduler - Simple API for scheduling tasks
Summary: Review Request: drupal7-job_scheduler - Simple API for scheduling tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 10:37 UTC by Peter Borsa
Modified: 2011-10-27 19:11 UTC (History)
3 users (show)

Fixed In Version: drupal7-job_scheduler-2.0-0.1.alpha2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-04 19:37:08 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peter Borsa 2011-09-23 10:37:43 UTC
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal7-job_scheduler.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal7-job_scheduler-2.0-0.1.alpha2.fc15.src.rpm
Description: Simple API for scheduling tasks once at a predetermined time
or periodically at a fixed interval.

rpmlint output:

$ rpmlint drupal7-job_scheduler.spec ../SRPMS/drupal7-job_scheduler-2.0-0.1.alpha2.fc15.src.rpm ../RPMS/noarch/drupal7-job_scheduler-2.0-0.1.alpha2.fc15.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3371996
Watching tasks (this may be safely interrupted)...
3371996 build (dist-f15, drupal7-job_scheduler-2.0-0.1.alpha2.fc15.src.rpm): free
3371996 build (dist-f15, drupal7-job_scheduler-2.0-0.1.alpha2.fc15.src.rpm): free -> open (x86-17.phx2.fedoraproject.org)
  3371997 buildArch (drupal7-job_scheduler-2.0-0.1.alpha2.fc15.src.rpm, noarch): free
  3371997 buildArch (drupal7-job_scheduler-2.0-0.1.alpha2.fc15.src.rpm, noarch): free -> open (x86-04.phx2.fedoraproject.org)
  3371997 buildArch (drupal7-job_scheduler-2.0-0.1.alpha2.fc15.src.rpm, noarch): open (x86-04.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
3371996 build (dist-f15, drupal7-job_scheduler-2.0-0.1.alpha2.fc15.src.rpm): open (x86-17.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

3371996 build (dist-f15, drupal7-job_scheduler-2.0-0.1.alpha2.fc15.src.rpm) completed successfully

Comment 1 Gwyn Ciesla 2011-10-04 17:36:38 UTC
Working on this.

Suggestion:  Instead of including a generically-named LICENSE.txt in SourceX:, you might want to preface it with the package name, so that local rpmbuild dirs with multiple RPMs being build don't clobber each others' files, i.e. drupal7-thingy-LICENSE.txt

Comment 2 Gwyn Ciesla 2011-10-04 17:40:58 UTC
Good:

- rpmlint checks return:

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.

Comment 3 Peter Borsa 2011-10-04 17:52:34 UTC
New Package SCM Request
=======================
Package Name: drupal7-job_scheduler
Short Description: Simple API for scheduling tasks
Owners: asrob jsmith pfrields
Branches: f15 f16 el5 el6
InitialCC:

Comment 4 Gwyn Ciesla 2011-10-04 18:00:05 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-10-04 19:10:23 UTC
drupal7-job_scheduler-2.0-0.1.alpha2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal7-job_scheduler-2.0-0.1.alpha2.fc15

Comment 6 Fedora Update System 2011-10-04 19:19:33 UTC
drupal7-job_scheduler-2.0-0.1.alpha2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal7-job_scheduler-2.0-0.1.alpha2.fc16

Comment 7 Fedora Update System 2011-10-04 19:25:34 UTC
drupal7-job_scheduler-2.0-0.1.alpha2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-job_scheduler-2.0-0.1.alpha2.el5

Comment 8 Fedora Update System 2011-10-04 19:36:28 UTC
drupal7-job_scheduler-2.0-0.1.alpha2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-job_scheduler-2.0-0.1.alpha2.el6

Comment 9 Fedora Update System 2011-10-13 23:54:41 UTC
drupal7-job_scheduler-2.0-0.1.alpha2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 10 Fedora Update System 2011-10-16 00:56:18 UTC
drupal7-job_scheduler-2.0-0.1.alpha2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 11 Fedora Update System 2011-10-27 19:08:00 UTC
drupal7-job_scheduler-2.0-0.1.alpha2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2011-10-27 19:11:10 UTC
drupal7-job_scheduler-2.0-0.1.alpha2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.